# Uses of Interface
org.eclipse.core.resources.IResourceVisitor

Packages that use IResourceVisitor
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.resources.mapping
Provides APIs for integrating application models with the workspace
org.eclipse.ui.wizards.datatransfer
Provides the standard Import and Export wizards for moving resources into and out of the workspace.

## Uses of IResourceVisitor in org.eclipse.core.resources

Methods in org.eclipse.core.resources with parameters of type IResourceVisitor
Modifier and Type
Method
Description
`void`
IResource.`accept(IResourceVisitor visitor)`
Accepts the given visitor.
`void`
IResource.`accept(IResourceVisitor visitor, int depth, boolean includePhantoms)`
Accepts the given visitor.
`void`
IResource.`accept(IResourceVisitor visitor, int depth, int memberFlags)`
Accepts the given visitor.
`void`
ISynchronizer.`accept(QualifiedName partner, IResource start, IResourceVisitor visitor, int depth)`
Visits the given resource and its descendents with the specified visitor if sync information for the given sync partner is found on the resource.

## Uses of IResourceVisitor in org.eclipse.core.resources.mapping

Methods in org.eclipse.core.resources.mapping with parameters of type IResourceVisitor
Modifier and Type
Method
Description
`void`
ResourceMapping.`accept(ResourceMappingContext context, IResourceVisitor visitor, IProgressMonitor monitor)`
Accepts the given visitor for all existing resources in this mapping.
`void`
ResourceTraversal.`accept(IResourceVisitor visitor)`
Visits all existing resources defined by this traversal.

## Uses of IResourceVisitor in org.eclipse.ui.wizards.datatransfer

Classes in org.eclipse.ui.wizards.datatransfer that implement IResourceVisitor
Modifier and Type
Class
Description
`class`
`RecursiveFileFinder`
A simple resource visitor that allows to find one or more files by name in a `IContainer`